#include <iostream>

using namespace std;

int main()
{
    int n,m;
    cin>>n>>m;
    int felso[n],also[n],bal[n],jobb[n],ertek[n],szamlalo=0;

    for(int i=0;i<n;i++)
    {
        cin>>also[i]>>felso[i];
    }
    for(int i=0;i<m;i++)
    {
        cin>>bal[i]>>jobb[i]>>ertek[i];
    }
    for(int i=0;i<m;i++)
    {
        for(int j=bal[i]-1;j<=jobb[i]-1;j++)
        {
            if(ertek[i]>=also[j] && ertek[i]<=felso[j])
            {
                szamlalo++;
            }
        }
        cout<<szamlalo<<endl;
        szamlalo=0;
    }
    return 0;
}